ScoopParserInternal::State Struct Reference documentation

ScoopParserInternal::State Struct Reference

Internal: the state of a ScoopParser. More...

## Public Member Functions
| State ()
| constructor
void | initPatterns ()
| init the patterns

## Public Attributes
int | m_numPages
| the number of pages
int | m_displayMode
| the display mode 0: thumbnail, 1: one page, 2: facings pages, 3: one page+scrap
int | m_leftPage
| the left-top page
int | m_rightPage
| the right-bottom page
MWAWVec2i | m_thumbnailSize
| the number of page using in thumbnail display
MWAWVec2i | m_layoutDimension
| the layout dimension
bool | m_hasScrapPage
| a flag to know if some shape are on the scrap page
std::vector< MWAWGraphicStyle::Pattern > | m_patterns
| the list of patterns
std::vector< Shape > | m_shapes
| the main list of shapes
std::map< long, MWAWParagraph > | m_idToParagraphMap
| the style map: id to paragraph
std::map< long, TextZone > | m_idToTextZoneMap
| the text zone map: id to text zone

## Detailed Description

Internal: the state of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ State()

ScoopParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initPatterns()

void ScoopParserInternal::State::initPatterns | ( |  | ) |

init the patterns

Referenced by State().

## Member Data Documentation

## ◆ m_displayMode

int ScoopParserInternal::State::m_displayMode

the display mode 0: thumbnail, 1: one page, 2: facings pages, 3: one page+scrap

Referenced by State().

## ◆ m_hasScrapPage

bool ScoopParserInternal::State::m_hasScrapPage

a flag to know if some shape are on the scrap page

Referenced by State().

## ◆ m_idToParagraphMap

std::map<long, MWAWParagraph> ScoopParserInternal::State::m_idToParagraphMap

the style map: id to paragraph

Referenced by State().

## ◆ m_idToTextZoneMap

std::map<long, TextZone> ScoopParserInternal::State::m_idToTextZoneMap

the text zone map: id to text zone

Referenced by State().

## ◆ m_layoutDimension

MWAWVec2i ScoopParserInternal::State::m_layoutDimension

the layout dimension

Referenced by State().

## ◆ m_leftPage

int ScoopParserInternal::State::m_leftPage

the left-top page

Referenced by State().

## ◆ m_numPages

int ScoopParserInternal::State::m_numPages

the number of pages

Referenced by State().

## ◆ m_patterns

std::vector<MWAWGraphicStyle::Pattern> ScoopParserInternal::State::m_patterns

the list of patterns

Referenced by initPatterns(), and State().

## ◆ m_rightPage

int ScoopParserInternal::State::m_rightPage

the right-bottom page

Referenced by State().

## ◆ m_shapes

std::vector<Shape> ScoopParserInternal::State::m_shapes

the main list of shapes

Referenced by State().

## ◆ m_thumbnailSize

MWAWVec2i ScoopParserInternal::State::m_thumbnailSize

the number of page using in thumbnail display

Referenced by State().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx